# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure('2') do |config|
  cpus = 8
  memory = 2048

  config.vm.box = 'centos/stream9'

  config.vm.provider :libvirt do |libvirt, override|
    override.vm.box_url = 'https://cloud.centos.org/centos/9-stream/x86_64/images/CentOS-Stream-Vagrant-9-20211111.1.x86_64.vagrant-libvirt.box'
    
    libvirt.cpus = cpus
    libvirt.memory = memory
    libvirt.uri = "qemu:///system"
    libvirt.machine_virtual_size = 20
  end

  config.vm.provision "shell", inline: <<-SHELL
    if [[ -e "/dev/vda1" ]]; then
      echo ", +" | sudo sfdisk -N 1 /dev/vda --no-reread
      sudo partprobe
      sudo resize2fs /dev/vda1
    fi
  SHELL

  config.vm.provision "ansible" do |ansible|
    ansible.playbook = "vagrant-ansible.yml"
  end
  config.vm.provision "file", source: "build-kernel-scripts/build_kernel.sh", destination: "~/build_kernel.sh"
end
